%global orgname org.kde.plasma-welcome

Name:           plasma-welcome
Version:        5.27.10
Release:    1%{?dist}
License:        GPLv2+ and BSD
Summary:        Plasma Welcome
Url:            https://invent.kde.org/plasma/%{name}

%global stable %stable_kf5
Source0:        http://download.kde.org/%{stable}/plasma/%{version}/%{name}-%{version}.tar.xz


BuildRequires:  gcc-c++
BuildRequires:  qt5-qtbase-devel
BuildRequires:  desktop-file-utils
BuildRequires:  libappstream-glib
BuildRequires:  extra-cmake-modules
BuildRequires:  kf5-rpm-macros

BuildRequires:  cmake(Qt5Core)
BuildRequires:  cmake(Qt5Quick)
BuildRequires:  cmake(Qt5Widgets)
BuildRequires:  cmake(Qt5QuickControls2)
BuildRequires:  cmake(Qt5Svg)

BuildRequires:  cmake(KF5Kirigami2)
BuildRequires:  cmake(KF5CoreAddons)
BuildRequires:  cmake(KF5ConfigWidgets)
BuildRequires:  cmake(KF5DBusAddons)
BuildRequires:  cmake(KAccounts)
BuildRequires:  cmake(KF5NewStuff)
BuildRequires:  cmake(KF5Notifications)
BuildRequires:  cmake(KF5WindowSystem)
BuildRequires:  cmake(KF5Declarative)
BuildRequires:  cmake(KF5I18n)
BuildRequires:  cmake(KF5KIO)
BuildRequires:  cmake(KF5NetworkManagerQt)
BuildRequires:  cmake(KF5Service)
BuildRequires:  cmake(KF5Plasma)
BuildRequires:  cmake(KUserFeedback)

Provides:       plasma-welcome-app = %{version}-%{release}

%description
A Friendly onboarding wizard for Plasma.

%prep
%autosetup -n %{name}-%{version} -p1
rm Messages.sh

%build
%cmake_kf5
%cmake_build

%install
%cmake_install
%find_lang %{name} --all-name --with-html

%check
appstream-util validate-relax --nonet %{buildroot}%{_kf5_metainfodir}/%{orgname}.*.xml
desktop-file-validate %{buildroot}%{_kf5_datadir}/applications/%{orgname}.desktop

%files -f %{name}.lang
%license src/LICENSES/{BSD-3-Clause.txt,GPL-2.0-or-later.txt,FSFAP.txt}
%doc README.md
%{_sysconfdir}/xdg/autostart/org.kde.plasma-welcome.desktop
%{_kf5_qmldir}/org/kde/plasma/welcome/GenericPage.qml
%{_kf5_qmldir}/org/kde/plasma/welcome/KCM.qml
%{_kf5_qmldir}/org/kde/plasma/welcome/qmldir
%{_kf5_bindir}/plasma-welcome
%{_kf5_datadir}/applications/%{orgname}.desktop
%{_kf5_metainfodir}/%{orgname}.*.xml


%changelog
* Mon Jul 01 2024 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 5.27.10-1
- initial build
